( function( $ ) {

	HappyForms.parts = HappyForms.parts || {};

	HappyForms.parts.radio = {
		init: function() {
			this.type = this.$el.data( 'happyforms-type' );
			this.$input = $( 'input', this.$el );
			this.$visualInput = $( 'input[type=email]', this.$el );
			
			this.$input.on( 'keyup', this.triggerChange.bind( this ) );
			this.$input.on( 'change', this.triggerChange.bind( this ) );
			this.$input.on( 'change', this.onRadioChange.bind( this ) );
			this.$input.on( 'focus', this.onFocus.bind( this ) );
		},

		onRadioChange: function( e ) {
			var $radio = $( e.target );

			$( 'input[type=text]', this.$el ).removeAttr( 'required' );

			if ( $radio.is( ':checked' ) ) {
				if ( $radio.nextAll( 'input' ).length ) {
					var $input = $radio.nextAll( 'input' );
					$input.focus();

					if ( '' === this.$el.data( 'happyforms-required' ) ) {
						$input.attr( 'required', 'required' );
					}
				}
			}
		},

		onFocus: function( e ) {
			var $input = $( e.target );

			if ( 'text' === $input.attr( 'type' ) ) {
				$input.prevAll( 'input[type=radio]' ).prop( 'checked', true );
			}
		},

		serialize: function() {
			var self = this;

			var serialized = this.$input.map( function( i, input ) {
				var $input = $( input );
				var $customInput = 0;

				if ( 'text' === $input.attr( 'type' ) ) {
					return;
				}

				if ( 'text' === $( self.$input[i+1] ).attr( 'type' ) ) {
					$customInput = $( self.$input[i+1] );
				}

				var keyValue = {
					name: $input.attr( 'name' ),
					value: $input.val()
				};

				if ( $customInput.length ) {
					var otherValue = ( $customInput.val() ) ? $customInput.val() : $customInput.data( 'default-value' );

					keyValue['value'] = [ $input.val(), otherValue ];

					keyValue['value'] = JSON.stringify( keyValue['value'] );
				}

				if ( ! $input.is( ':checked' ) ) {
					return;
				}

				return keyValue;
			} ).toArray();

			return serialized;
		}
	};

} )( jQuery );