<?php

$integrations = happyforms_get_integrations();
$service = $integrations->get_service( 'google-analytics' );
$credentials = $service->get_credentials();
$enabled = $service->is_enabled();
?>
<div id="happyforms-service-<?php echo $service->id; ?>" class="happyforms-service-integration<?php echo ( $enabled ) ? ' enabled' : ''; ?>">
	<p>
		<label>
			<input type="checkbox" class="happyforms-service-toggle" name="credentials[google-analytics][enabled]" value="1" <?php checked( $enabled, true ); ?>> <?php _e( 'Google Analytics', 'happyforms' ); ?>
		</label>
	</p>

	<div class="nested-block">
		<div class="widget-content <?php if ( $service->is_connected() ) : ?>authenticated<?php endif; ?>">
			<input type="hidden" name="services[]" value="<?php echo $service->id; ?>">
			<p>
				<label for="happyforms_integrations_google-analytics_tracking_id"><?php _e( 'Tracking ID:', 'happyforms' ); ?></label>
				<input type="password" class="widefat connected" id="happyforms_integrations_google-analytics_tracking_id" name="credentials[google-analytics][tracking_id]" value="<?php echo $credentials['tracking_id']; ?>" />
			</p>
		</div>
	</div>
</div>
