( function( $ ) {

	HappyForms.parts = HappyForms.parts || {};

	HappyForms.parts.recaptcha = {
		init: function() {
			this.type = this.$el.data( 'happyforms-type' );
			this.$input = $( '> div', this.$el );
			this.ready = false;

			this.execute();
		},

		onReady: function() {
			this.ready = true;
			this.execute();
		},

		isFilled: function() {
			return this.checked;
		},

		isValid: function() {
			return this.checked;
		},

		execute: function() {
			if ( ! this.ready ) {
				grecaptcha.ready( this.onReady.bind( this ) );
				return;
			}

			var self = this;

			grecaptcha.execute( this.$el.data( 'sitekey' ), { action: 'happyforms_submit' } ).then( function( token ) {
				var $tokenInput = $( '<input />', {
					name: 'g-recaptcha-response',
					type: 'hidden'
				} );

				$tokenInput.val( token );

				self.$input.append( $tokenInput );
			} );
		},

		serialize: function() {
			var serialized = [ {
				name: 'g-recaptcha-response',
				value: $( '[name=g-recaptcha-response]', this.$el ).val(),
			} ];

			return serialized;
		},
	};

} )( jQuery );
